ZoneAlarm does not support 6.5 or older versions and this fix is not sanctioned by ZoneAlarm or Check Point software.